function Write-Companies {
    [CmdletBinding()]
    param (
        [Parameter(Mandatory = $false)][string[]]$Companies,
        [Parameter(Mandatory = $false)][string]$FilePath
    )

    Write-Verbose "Writing $($Companies.Count) companies to file: $FilePath."

    $Companies | Out-File -FilePath $FilePath
}